# Uses of Class
org.apache.commons.math3.complex.Quaternion

Packages that use Quaternion
Package
Description
org.apache.commons.math3.complex
Complex number type and implementations of complex transcendental functions.

## Uses of Quaternion in org.apache.commons.math3.complex

Fields in org.apache.commons.math3.complex declared as Quaternion
Modifier and Type
Field
Description
`static final Quaternion`
Quaternion.`I`
i
`static final Quaternion`
Quaternion.`IDENTITY`
Identity quaternion.
`static final Quaternion`
Quaternion.`J`
j
`static final Quaternion`
Quaternion.`K`
k
`static final Quaternion`
Quaternion.`ZERO`
Zero quaternion.
Methods in org.apache.commons.math3.complex that return Quaternion
Modifier and Type
Method
Description
`Quaternion`
Quaternion.`add(Quaternion q)`
Computes the sum of the instance and another quaternion.
`static Quaternion`
Quaternion.`add(Quaternion q1, Quaternion q2)`
Computes the sum of two quaternions.
`Quaternion`
Quaternion.`getConjugate()`
Returns the conjugate quaternion of the instance.
`Quaternion`
Quaternion.`getInverse()`
Returns the inverse of this instance.
`Quaternion`
Quaternion.`getPositivePolarForm()`
Returns the polar form of the quaternion.
`Quaternion`
Quaternion.`multiply(double alpha)`
Multiplies the instance by a scalar.
`Quaternion`
Quaternion.`multiply(Quaternion q)`
Returns the Hamilton product of the instance by a quaternion.
`static Quaternion`
Quaternion.`multiply(Quaternion q1, Quaternion q2)`
Returns the Hamilton product of two quaternions.
`Quaternion`
Quaternion.`normalize()`
Computes the normalized quaternion (the versor of the instance).
`Quaternion`
Quaternion.`subtract(Quaternion q)`
Subtracts a quaternion from the instance.
`static Quaternion`
Quaternion.`subtract(Quaternion q1, Quaternion q2)`
Subtracts two quaternions.
Methods in org.apache.commons.math3.complex with parameters of type Quaternion
Modifier and Type
Method
Description
`Quaternion`
Quaternion.`add(Quaternion q)`
Computes the sum of the instance and another quaternion.
`static Quaternion`
Quaternion.`add(Quaternion q1, Quaternion q2)`
Computes the sum of two quaternions.
`double`
Quaternion.`dotProduct(Quaternion q)`
Computes the dot-product of the instance by a quaternion.
`static double`
Quaternion.`dotProduct(Quaternion q1, Quaternion q2)`
Computes the dot-product of two quaternions.
`boolean`
Quaternion.`equals(Quaternion q, double eps)`
Checks whether this instance is equal to another quaternion within a given tolerance.
`Quaternion`
Quaternion.`multiply(Quaternion q)`
Returns the Hamilton product of the instance by a quaternion.
`static Quaternion`
Quaternion.`multiply(Quaternion q1, Quaternion q2)`
Returns the Hamilton product of two quaternions.
`Quaternion`
Quaternion.`subtract(Quaternion q)`
Subtracts a quaternion from the instance.
`static Quaternion`
Quaternion.`subtract(Quaternion q1, Quaternion q2)`
Subtracts two quaternions.